#pragma once

#ifdef RENDER_EXPORTS
#define RENDER_API __declspec(dllexport)
#else
#define RENDER_API __declspec(dllimport)
#endif

#if (DIRECT3D_VERSION == 0x0800)

#define LPDIRECT3DSURFACE LPDIRECT3DSURFACE8
#define LPDIRECT3DTEXTURE LPDIRECT3DTEXTURE8
#define LPDIRECT3DVOLUMETEXTURE LPDIRECT3DVOLUMETEXTURE8
#define LPDIRECT3DCUBETEXTURE LPDIRECT3DCUBETEXTURE8
#define LPDIRECT3DBASETEXTURE LPDIRECT3DBASETEXTURE8
#define LPDIRECT3D LPDIRECT3D8
#define LPDIRECT3DDEVICE LPDIRECT3DDEVICE8
#define LPDIRECT3DVERTEXBUFFER LPDIRECT3DVERTEXBUFFER8
#define LPDIRECT3DINDEXBUFFER LPDIRECT3DINDEXBUFFER8
#define D3DVIEWPORT D3DVIEWPORT8
#define D3DCAPS D3DCAPS8
#define D3DLIGHT D3DLIGHT8
#define D3DMATERIAL D3DMATERIAL8

#define Direct3DCreate Direct3DCreate8

#elif (DIRECT3D_VERSION == 0x0900)

#define LPDIRECT3DSURFACE LPDIRECT3DSURFACE9
#define LPDIRECT3DTEXTURE LPDIRECT3DTEXTURE9
#define LPDIRECT3DVOLUMETEXTURE LPDIRECT3DVOLUMETEXTURE9
#define LPDIRECT3DCUBETEXTURE LPDIRECT3DCUBETEXTURE9
#define LPDIRECT3DBASETEXTURE LPDIRECT3DBASETEXTURE9
#define LPDIRECT3D LPDIRECT3D9
#define LPDIRECT3DDEVICE LPDIRECT3DDEVICE9
#define LPDIRECT3DVERTEXBUFFER LPDIRECT3DVERTEXBUFFER9
#define LPDIRECT3DINDEXBUFFER LPDIRECT3DINDEXBUFFER9
#define D3DVIEWPORT D3DVIEWPORT9
#define D3DCAPS D3DCAPS9
#define D3DLIGHT D3DLIGHT9
#define D3DMATERIAL D3DMATERIAL9

#define Direct3DCreate Direct3DCreate9

#endif